# TODO: duplicated locales (es vs es_ES, fr vs fr_FR)
Summary:	Encrypted pass-thru filesystem for Linux
Summary(pl.UTF-8):	Zaszyfrowany system plików dla Linuksa
Name:		encfs
Version:	1.7.4
Release:	8
License:	GPL v2
Group:		Applications/System
#Source0Download: http://www.arg0.net/encfs
Source0:	http://encfs.googlecode.com/files/%{name}-%{version}.tgz
# Source0-md5:	ac90cc10b2e9fc7e72765de88321d617
URL:		http://www.arg0.net/encfs
#BuildRequires:	autoconf >= 2.50
#BuildRequires:	automake
BuildRequires:	boost-devel >= 1.34.0
BuildRequires:	gettext-devel >= 0.17
BuildRequires:	libfuse-devel >= 2.5
BuildRequires:	libstdc++-devel
#BuildRequires:	libtool
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	perl-tools-pod
BuildRequires:	pkgconfig
BuildRequires:	rlog-devel >= 1.3
Requires:	rlog >= 1.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
EncFS implements an encrypted filesystem in userspace using FUSE. FUSE
provides a Linux kernel module which allows virtual filesystems to be
written in userspace. EncFS encrypts all data and filenames in the
filesystem and passes access through to the underlying filesystem.
Similar to CFS except that it does not use NFS.

%description -l pl.UTF-8
EncFS jest implementacją zaszyfrowanego systemu plików w przestrzeni
użytkownika przy użyciu FUSE. FUSE dostarcza moduł jądra Linuksa
pozwalający na obsługę wirtualnych systemów plików w przestrzeni
użytkownika. EncFS szyfruje wszystkie dane oraz nazwy plików w
systemie plików i przekazuje kontrolę do leżącego niżej systemu
plików. Jest podobny do CFS-a, ale nie używa NFS-a.

%prep
%setup -q

%build
%configure \
	--with-boost-filesystem=boost_filesystem \
	--with-boost-serialization=boost_serialization \
	--with-boost-system=boost_system

%{__make} -j1 \
	LDFLAGS="-lboost_system"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# No public headers => no need for devel files
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.{la,so}

# duplicate of de,es,fr,hu,pt
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/{de_DE,es_ES,fr_FR,hu_HU,pt_PT}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/encfs
%attr(755,root,root) %{_bindir}/encfsctl
%attr(755,root,root) %{_bindir}/encfssh
%attr(755,root,root) %{_libdir}/libencfs.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libencfs.so.6
%{_mandir}/man1/encfs.1*
%{_mandir}/man1/encfsctl.1*
%changelog
* Mon Jul 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/encfs.git;a=log;h=master

* Mon Jul 08 2013 Jan Rękorajski <baggins@pld-linux.org> 76fa9ca
- release 8 (by relup.sh)

* Sun Jul 07 2013 Jan Rękorajski <baggins@pld-linux.org> 6ea9d88
- release 7 (by relup.sh)

* Sat May 25 2013 Jakub Bogusz <qboosh@pld-linux.org> 79884d3
- cleanup, ghost soname symlink, more verbose bin,lib,man files

* Wed Sep 19 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 19cb7f1
- release 6 (by relup.sh)

* Wed Jul 11 2012 Jan Rękorajski <baggins@pld-linux.org> f00215d
- releae 5
rebuild with boost 1.50

* Sun Mar 11 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 0d55619
- release 4

* Wed May 04 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> aff8943
- release 3

* Sun Mar 13 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> c510e2f
- rel 2; drop hu_HU

* Sat Nov 20 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 743eee7
- up to 1.7.4

* Sat Nov 20 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 426c4d7
- release 9

* Mon Nov 15 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> b2972cc
- release 8

* Mon Nov 15 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 9825e1a
- release 7

* Mon Nov 15 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 0f99d0d
- release 6

* Mon Apr 12 2010 ankry <ankry@pld-linux.org> adf6199
- rel. 5

* Mon Apr 12 2010 ankry <ankry@pld-linux.org> cb2a1e2
- more locale fixes

* Mon Apr 12 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 70a1caf
- release 4

* Fri Mar 26 2010 Paweł Sikora <pluto@pld-linux.org> b24df52
- release 3 (rebuild with boost-1.42.0)

* Fri Mar 26 2010 Paweł Sikora <pluto@pld-linux.org> 9ea89f6
- add missed BR: boost-devel (system,filesystem,serialziation).

* Fri Jan 01 2010 sparky <sparky@pld-linux.org> c06684f
- BuildRoot capitalization

* Fri Jan 01 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 0f61cc2
- release 2

